MyGUI::RenderItem Class Reference

`#include <MyGUI_RenderItem.h>`

## Public Member Functions

| RenderItem ()
virtual | ~RenderItem ()
void | renderToTarget (IRenderTarget *_target, bool _update)
void | setTexture (ITexture *_value)
ITexture * | getTexture () const
void | setManualRender (bool _value)
bool | getManualRender () const
void | addDrawItem (ISubWidget *_item, size_t _count)
void | removeDrawItem (ISubWidget *_item)
void | reallockDrawItem (ISubWidget *_item, size_t _count)
void | outOfDate ()
bool | isOutOfDate () const
size_t | getNeedVertexCount () const
size_t | getVertexCount () const
bool | getCurrentUpdate () const
Vertex * | getCurrentVertexBuffer () const
void | setLastVertexCount (size_t _count)
IRenderTarget * | getRenderTarget ()
void | setNeedCompression (bool _compression)
bool | getNeedCompression () const

## Detailed Description

Definition at line 22 of file MyGUI_RenderItem.h.

## Constructor & Destructor Documentation

## RenderItem()

MyGUI::RenderItem::RenderItem | ( |  | ) |

Definition at line 18 of file MyGUI_RenderItem.cpp.

## ~RenderItem()

MyGUI::RenderItem::~RenderItem | ( |  | ) |

virtual

Definition at line 23 of file MyGUI_RenderItem.cpp.

## Member Function Documentation

## addDrawItem()

void MyGUI::RenderItem::addDrawItem | ( | ISubWidget * | _item,
|  | size_t | _count )

Definition at line 112 of file MyGUI_RenderItem.cpp.

## getCurrentUpdate()

bool MyGUI::RenderItem::getCurrentUpdate | ( |  | ) | const

Definition at line 207 of file MyGUI_RenderItem.cpp.

## getCurrentVertexBuffer()

Vertex * MyGUI::RenderItem::getCurrentVertexBuffer | ( |  | ) | const

Definition at line 212 of file MyGUI_RenderItem.cpp.

## getManualRender()

bool MyGUI::RenderItem::getManualRender | ( |  | ) | const

Definition at line 182 of file MyGUI_RenderItem.cpp.

## getNeedCompression()

bool MyGUI::RenderItem::getNeedCompression | ( |  | ) | const

Definition at line 172 of file MyGUI_RenderItem.cpp.

## getNeedVertexCount()

size_t MyGUI::RenderItem::getNeedVertexCount | ( |  | ) | const

Definition at line 197 of file MyGUI_RenderItem.cpp.

## getRenderTarget()

IRenderTarget * MyGUI::RenderItem::getRenderTarget | ( |  | ) |

Definition at line 222 of file MyGUI_RenderItem.cpp.

## getTexture()

ITexture * MyGUI::RenderItem::getTexture | ( |  | ) | const

Definition at line 162 of file MyGUI_RenderItem.cpp.

## getVertexCount()

size_t MyGUI::RenderItem::getVertexCount | ( |  | ) | const

Definition at line 202 of file MyGUI_RenderItem.cpp.

## isOutOfDate()

bool MyGUI::RenderItem::isOutOfDate | ( |  | ) | const

Definition at line 192 of file MyGUI_RenderItem.cpp.

## outOfDate()

void MyGUI::RenderItem::outOfDate | ( |  | ) |

Definition at line 187 of file MyGUI_RenderItem.cpp.

## reallockDrawItem()

void MyGUI::RenderItem::reallockDrawItem | ( | ISubWidget * | _item,
|  | size_t | _count )

Definition at line 129 of file MyGUI_RenderItem.cpp.

## removeDrawItem()

void MyGUI::RenderItem::removeDrawItem | ( | ISubWidget * | _item | ) |

Definition at line 87 of file MyGUI_RenderItem.cpp.

## renderToTarget()

void MyGUI::RenderItem::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update )

Definition at line 29 of file MyGUI_RenderItem.cpp.

## setLastVertexCount()

void MyGUI::RenderItem::setLastVertexCount | ( | size_t | _count | ) |

Definition at line 217 of file MyGUI_RenderItem.cpp.

## setManualRender()

void MyGUI::RenderItem::setManualRender | ( | bool | _value | ) |

Definition at line 177 of file MyGUI_RenderItem.cpp.

## setNeedCompression()

void MyGUI::RenderItem::setNeedCompression | ( | bool | _compression | ) |

Definition at line 167 of file MyGUI_RenderItem.cpp.

## setTexture()

void MyGUI::RenderItem::setTexture | ( | ITexture * | _value | ) |

Definition at line 151 of file MyGUI_RenderItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_RenderItem.h
- MyGUI_RenderItem.cpp